## cookidoo-api 0.13.0

=== requirements.txt ===
aiohttp~=3.11
aiofiles~=24.1.0

=== debian/changelog ===
cookidoo-api (0.13.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sat, 29 Mar 2025 21:35:46 +0000

cookidoo-api (0.13.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1100130)

 -- Edward Betts <edward@4angle.com>  Tue, 11 Mar 2025 16:48:26 +0100

=== debian/control ===
Source: cookidoo-api
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiofiles <!nocheck>,
 python3-aiohttp <!nocheck>,
 python3-aioresponses <!nocheck>,
 python3-dotenv <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/miaucl/cookidoo-api
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/cookidoo-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/cookidoo-api.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-cookidoo-api
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Access Cookidoo recipes and content programmatically
 This library provides tools to interact with the Cookidoo platform, allowing
 users to access a wide variety of recipes and related content
 programmatically. Through the use of network requests and data handling, it
 communicates with Cookidoo's servers, enabling the retrieval of recipe
 details, ingredient lists, and cooking instructions. Designed for integration
 with automation systems, it supports tasks such as fetching user-specific
 content and accessing recipe collections. The library utilizes asynchronous
 requests to efficiently manage data exchanges over the Internet, adapting to
 dynamic content updates and changes in user preferences. With the ability to
 access a repository of culinary information, users can enhance their cooking
 experience by exploring a diverse array of cooking ideas and techniques
 online. This interaction enriches culinary creativity by providing timely
 access to new and popular recipes.

=== debian/watch ===
version=4
https://github.com/miaucl/cookidoo-api/tags .*/v?(\d\S+)\.tar\.gz

## cookidoo-api 0.14.0

=== requirements.txt ===
aiohttp~=3.12
aiofiles~=24.1.0
isodate~=0.7.2

=== debian/changelog ===
cookidoo-api (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now needs isodate and setuptools version 77 or later.

 -- Edward Betts <edward@4angle.com>  Wed, 13 Aug 2025 10:47:52 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-setuptools (>= 77.0),
 Build-Depends-Indep:
  python3-aiofiles <!nocheck>,
  python3-aiohttp <!nocheck>,
  python3-aioresponses <!nocheck>,
  python3-dotenv <!nocheck>,
+ python3-isodate <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,

## cookidoo-api 0.15.0

=== requirements.txt ===
aiohttp~=3.13
aiofiles~=24.1.0
isodate~=0.7.2

=== debian/changelog ===
cookidoo-api (0.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Oct 2025 10:31:46 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/miaucl/cookidoo-api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/cookidoo-api

=== debian/watch ===
Version: 5

Template: Github
Owner: miaucl
Project: cookidoo-api

## cookidoo-api 0.16.0

=== requirements.txt ===
aiohttp~=3.13
aiofiles~=25.1.0
isodate~=0.7.2

=== debian/changelog ===
cookidoo-api (0.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sat, 17 Jan 2026 08:07:44 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -19,7 +18,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/miaucl/cookidoo-api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/cookidoo-api
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/cookidoo-api.git
